Bug 176210 - License agreement questions not translated
License agreement questions not translated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-release (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 04:36 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0178
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-12-20 04:36:45 EST
firstboot-1.3.39-4

In some cases, the "Yes, I agree to the License Agreement" and "No, I do not
agree" are not translated properly.
Changing the i18n code at the top of modules/eula.py from:
import gettext
gettext.bindtextdomain ("firstboot", "/usr/share/locale")
gettext.textdomain ("firstboot")
_=gettext.gettext
to:
from rhpl.translate import _, N_
import rhpl.translate as translate
translate.textdomain ("firstboot")

As the other modules do fixes the issue.
Comment 1 Chris Lumens 2006-02-09 14:19:21 EST
Bouncing to redhat-release as that provides /usr/share/firstboot/modules.eula.py.
Comment 6 RHEL Product and Program Management 2006-08-18 12:49:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 David Lawrence 2007-04-17 16:30:06 EDT
Crap edited the wrong bug. Disregard last changes.
Comment 17 Red Hat Bugzilla 2007-05-01 13:21:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0178.html

Note You need to log in before you can comment on or make changes to this bug.